xnOSInfo Struct Reference

`#include <XnOS.h>`

## Public Attributes

XnChar | csOSName [XN_MAX_OS_NAME_LENGTH]
XnChar | csCPUName [XN_MAX_OS_NAME_LENGTH]
XnUInt32 | nProcessorsCount
XnUInt64 | nTotalMemory

## Member Data Documentation

## csCPUName

XnChar xnOSInfo::csCPUName[XN_MAX_OS_NAME_LENGTH]

## csOSName

XnChar xnOSInfo::csOSName[XN_MAX_OS_NAME_LENGTH]

## nProcessorsCount

XnUInt32 xnOSInfo::nProcessorsCount

## nTotalMemory

XnUInt64 xnOSInfo::nTotalMemory

The documentation for this struct was generated from the following file:

- XnOS.h